## Index

### Classes

- AtomViewModel

### Functions

- BindableBroadcast
- BindableReceive
- CachedWatch
- Receive
- Validate
- Watch
- waitForReady

## Functions

### BindableBroadcast

- BindableBroadcast(...channel: string[]): viewModelInitFunc

- - Defined in view-model/AtomViewModel.ts:342

  #### Parameters

  - ##### Rest ...channel: string[]

  #### Returns viewModelInitFunc

### BindableReceive

- BindableReceive(...channel: string[]): viewModelInitFunc

- - Defined in view-model/AtomViewModel.ts:324

  #### Parameters

  - ##### Rest ...channel: string[]

  #### Returns viewModelInitFunc

### CachedWatch

- CachedWatch(target: AtomViewModel, key: string, descriptor: any): void

- - Defined in view-model/AtomViewModel.ts:387

  Cached watch must be used with async getters to avoid reloading of resources unless the properties referenced are changed

  #### Parameters

  - ##### target: AtomViewModel

    ViewModel

  - ##### key: string

    name of property

  - ##### descriptor: any

    descriptor of property

  #### Returns void

### Receive

- Receive(...channel: string[]): viewModelInitFunc

- - Defined in view-model/AtomViewModel.ts:302

  Receive messages for given channel

  #### Parameters

  - ##### Rest ...channel: string[]

  #### Returns viewModelInitFunc

### Validate

- Validate(target: AtomViewModel, key: string | symbol, descriptor: any): void

- - Defined in view-model/AtomViewModel.ts:419

  #### Parameters

  - ##### target: AtomViewModel

  - ##### key: string | symbol

  - ##### descriptor: any

  #### Returns void

### Watch

- Watch(target: AtomViewModel, key: string | symbol, descriptor: any): void

- - Defined in view-model/AtomViewModel.ts:364

  #### Parameters

  - ##### target: AtomViewModel

  - ##### key: string | symbol

  - ##### descriptor: any

  #### Returns void

### waitForReady

- waitForReady(vm: AtomViewModel): Promise<any>

- - Defined in view-model/AtomViewModel.ts:56

  Useful only for Unit testing, this function will await till initialization is complete and all pending functions are executed

  #### Parameters

  - ##### vm: AtomViewModel

  #### Returns Promise<any>

Generated using TypeDoc